Gecode::FloatAssign Class Reference
Functionality by programming task » Programming models » Using float variables and constraints » Branching on float variables

Which values to select for assignment. More...

`#include <float.hh>`

## Public Types

enum | Select { SEL_MIN , SEL_MAX , SEL_RND , SEL_VAL_COMMIT }
| Which value selection. More...
Public Types inherited from Gecode::ValBranch< FloatVar >
typedef BranchTraits< FloatVar >::Val | BranchVal
| The corresponding branching value function.
typedef BranchTraits< FloatVar >::Commit | BranchCommit
| The corresponding branching commit function.

## Public Member Functions

| FloatAssign (Select s=SEL_MIN)
| Initialize with selection strategy s.
| FloatAssign (Rnd r)
| Initialize with random number generator r.
| FloatAssign (FloatBranchVal v, FloatBranchCommit c)
| Initialize with value function f and commit function c.
Select | select (void) const
| Return selection strategy.
Public Member Functions inherited from Gecode::ValBranch< FloatVar >
| ValBranch (void)
| Initialize.
Rnd | rnd (void) const
| Return random number generator.
BranchVal | val (void) const
| Return value function.
BranchCommit | commit (void) const
| Return commit function.

## Protected Attributes

Select | s
| Which value to select.
Protected Attributes inherited from Gecode::ValBranch< FloatVar >
Rnd | r
| Random number generator.
BranchVal | vf
| Value function.
BranchCommit | cf
| Commit function.

## Detailed Description

Which values to select for assignment.

Definition at line 1874 of file float.hh.

## Member Enumeration Documentation

## Select

enum Gecode::FloatAssign::Select

Which value selection.

Enumerator
SEL_MIN | Select median value of the lower part.
SEL_MAX | Select median value of the upper part.
SEL_RND | Select median value of a randomly chosen part.
SEL_VAL_COMMIT | Select value according to user-defined functions.

Definition at line 1877 of file float.hh.

## Constructor & Destructor Documentation

## FloatAssign() [1/3]

Gecode::FloatAssign::FloatAssign | ( | Select | s = SEL_MIN | ) |

inline

Initialize with selection strategy s.

Definition at line 37 of file assign.hpp.

## FloatAssign() [2/3]

Gecode::FloatAssign::FloatAssign | ( | Rnd | r | ) |

inline

Initialize with random number generator r.

Definition at line 41 of file assign.hpp.

## FloatAssign() [3/3]

Gecode::FloatAssign::FloatAssign | ( | FloatBranchVal | v,
|  | FloatBranchCommit | c )

inline

Initialize with value function f and commit function c.

Definition at line 45 of file assign.hpp.

## Member Function Documentation

## select()

FloatAssign::Select Gecode::FloatAssign::select | ( | void |  | ) | const

inline

Return selection strategy.

Definition at line 49 of file assign.hpp.

## Member Data Documentation

## s

Select Gecode::FloatAssign::s

protected

Which value to select.

Definition at line 1885 of file float.hh.

The documentation for this class was generated from the following files:

- gecode/float.hh
- gecode/float/branch/assign.hpp